Hello.

I recently installed from ports (games/linux-enemyterritory). 
At first it complained about missing X11 lib, and I concluded 
that installing linux-xorg-libs should sort it out. I wass correct 
(perhaps it should be added as dependency?).  

Running et it gives:

------- sound initialization -------
/dev/dsp: Invalid argument
Could not mmap /dev/dsp
------------------------------------

Apparently, it's common problem on Linux too. Simplest 
solution reported to be working is:

echo "et.x86 0 0 direct">/proc/asound/card0/pcm1p/oss

So I think something like 

sysctl -w something.something="et.x86 0 0 direct"

should work for me.

Searching for device, I have found:

sysctl -a | grep 'pcm'
dev.emu10kx.0._pcm_front_l: 100
dev.emu10kx.0._pcm_front_r: 100
dev.pcm.0.%desc: EMU10Kx DSP front PCM interface
dev.pcm.0.%driver: pcm
dev.pcm.0.%parent: emu10kx0
dev.pcm.0.eapd: 1
dev.pcm.0.play.vchans: 1
dev.pcm.0.play.vchanrate: 48000
dev.pcm.0.play.vchanformat: s16le
dev.pcm.0.rec.vchans: 1
dev.pcm.0.rec.vchanrate: 48000
dev.pcm.0.rec.vchanformat: s16le
dev.pcm.0.buffersize: 65536
dev.pcm.1.%desc: EMU10Kx DSP rear PCM interface
dev.pcm.1.%driver: pcm
dev.pcm.1.%parent: emu10kx0
dev.pcm.1.play.vchans: 1
dev.pcm.1.play.vchanrate: 48000
dev.pcm.1.play.vchanformat: s16le
dev.pcm.1.buffersize: 65536

and

sysctl -a | grep 'oss'
compat.linux.oss_version: 198144

However, I don't have idea what to do next.

Symlinking /dev/dsp/ to /dev/dsp0.0 or /dev/dsp1.0 
doesn't cut it.

regards

-- 
View this message in context: 
http://www.nabble.com/Linux-Wolfenstein-Enemy-Territory---no-sound-tp19021118p19021118.html
Sent from the freebsd-questions mailing list archive at Nabble.com.

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to